#pragma once

#include "CoreMinimal.h"
#include "AkPlatformInitializationSettingsBase.h"
#include "AkCommonInitializationSettingsWithSampleRate.h"
#include "AkCommunicationSettingsWithSystemInitialization.h"
#include "AkEGSAdvancedInitializationSettings.h"
#include "AkEGSInitializationSettings.generated.h"

UCLASS(Blueprintable)
class AKAUDIO_API UAkEGSInitializationSettings : public UAkPlatformInitializationSettingsBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAkCommonInitializationSettingsWithSampleRate CommonSettings;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAkCommunicationSettingsWithSystemInitialization CommunicationSettings;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAkEGSAdvancedInitializationSettings AdvancedSettings;

public:
	UFUNCTION(BlueprintCallable)
	void MigrateMultiCoreRendering(bool NewValue);

public:
	UAkEGSInitializationSettings();
};

FORCEINLINE uint32 GetTypeHash(const UAkEGSInitializationSettings) { return 0; }
